Loading...
Searching...
No Matches
fastjet::SISConeBaseExtras Class Referenceabstract
Access to extra information

Class that provides extra information about a SISCone clustering. More...

`#include <fastjet/SISConeBasePlugin.hh>`

Inheritance diagram for fastjet::SISConeBaseExtras:
[legend]
Collaboration diagram for fastjet::SISConeBaseExtras:
[legend]

## Public Member Functions

| SISConeBaseExtras (int nparticles)
| constructor
virtual | ~SISConeBaseExtras ()=0
| purely virtual destructor
const std::vector< PseudoJet > & | stable_cones () const
| returns a reference to the vector of stable cones (aka protocones)
const std::vector< PseudoJet > & | protocones () const
| an old name for getting the vector of stable cones (aka protocones)
int | pass (const PseudoJet &jet) const
| return the # of the pass at which a given jet was found; will return -1 if the pass is invalid
std::string | description () const
| return a brief summary of the contents of the extras object (specifically, the number of protocones.
double | most_ambiguous_split () const
| return the smallest difference in squared distance encountered during splitting between a particle and two overlapping protojets.

## Protected Attributes

std::vector< PseudoJet > | _protocones
std::vector< int > | _pass
double | _most_ambiguous_split
const SISConeBasePlugin * | _jet_def_plugin

## Detailed Description

Class that provides extra information about a SISCone clustering.

This is only the base class that the "regular" and "spherical" implementations of SISCone will have to overload. The only thing that needs to be done for the derived classes is to define '_jet_def_plugin', implement jet_def_plugin(); and add the corresponding plugin class as a friend

Definition at line 228 of file SISConeBasePlugin.hh.

## Constructor & Destructor Documentation

## SISConeBaseExtras()

fastjet::SISConeBaseExtras::SISConeBaseExtras | ( | int | nparticles | ) |

inline

constructor

Definition at line 233 of file SISConeBasePlugin.hh.

## ~SISConeBaseExtras()

fastjet::SISConeBaseExtras::~SISConeBaseExtras | ( |  | ) |

inline pure virtual

purely virtual destructor

give the destructor its required implementation

Definition at line 270 of file SISConeBasePlugin.hh.

## Member Function Documentation

## stable_cones()

const std::vector< PseudoJet > & fastjet::SISConeBaseExtras::stable_cones | ( |  | ) | const

inline

returns a reference to the vector of stable cones (aka protocones)

Definition at line 239 of file SISConeBasePlugin.hh.

## protocones()

const std::vector< PseudoJet > & fastjet::SISConeBaseExtras::protocones | ( |  | ) | const

inline

an old name for getting the vector of stable cones (aka protocones)

Definition at line 242 of file SISConeBasePlugin.hh.

## pass()

int fastjet::SISConeBaseExtras::pass | ( | const PseudoJet & | jet | ) | const

inline

return the # of the pass at which a given jet was found; will return -1 if the pass is invalid

Definition at line 246 of file SISConeBasePlugin.hh.

## description()

std::string fastjet::SISConeBaseExtras::description | ( |  | ) | const

inline virtual

return a brief summary of the contents of the extras object (specifically, the number of protocones.

Reimplemented from fastjet::ClusterSequence::Extras.

Definition at line 250 of file SISConeBasePlugin.hh.

## most_ambiguous_split()

double fastjet::SISConeBaseExtras::most_ambiguous_split | ( |  | ) | const

inline

return the smallest difference in squared distance encountered during splitting between a particle and two overlapping protojets.

Definition at line 260 of file SISConeBasePlugin.hh.

## Member Data Documentation

## _protocones

std::vector<PseudoJet> fastjet::SISConeBaseExtras::_protocones

protected

Definition at line 263 of file SISConeBasePlugin.hh.

## _pass

std::vector<int> fastjet::SISConeBaseExtras::_pass

protected

Definition at line 264 of file SISConeBasePlugin.hh.

## _most_ambiguous_split

double fastjet::SISConeBaseExtras::_most_ambiguous_split

protected

Definition at line 265 of file SISConeBasePlugin.hh.

## _jet_def_plugin

const SISConeBasePlugin* fastjet::SISConeBaseExtras::_jet_def_plugin

protected

Definition at line 266 of file SISConeBasePlugin.hh.

The documentation for this class was generated from the following file:

- plugins/SISCone/fastjet/SISConeBasePlugin.hh